Utils.h File Reference
`#include "system_dep.h"`
`#include <boost/python/dict.hpp>`

Go to the source code of this file.

## Namespaces

| escript

## Functions

int | escript::getSvnVersion ()
| some functions More...
void | escript::printParallelThreadCnt ()
| print a message about how many MPI CPUs and OpenMP threads we're using More...
void | escript::setNumberOfThreads (const int num_threads)
| set the number of threads More...
int | escript::getNumberOfThreads ()
| returns the number of threads More...
int | escript::getMPISizeWorld ()
| returns the total number of available MPI processes for MPI_COMM_WORLD More...
int | escript::getMPIRankWorld ()
| returns the MPI processor number within MPI_COMM_WORLD More...
int | escript::getMPIWorldMax (const int val)
| returns the maximum value of an integer over all processors within MPI_COMM_WORLD More...
int | escript::getMPIWorldSum (const int val)
| returns sum of an integer over all processors with MPI_COMM_WORLD More...
void | escript::MPIBarrierWorld ()
| performs a barrier synchronization across all processors. More...
int | escript::runMPIProgram (const boost::python::list args)
| uses MPI_Comm_spawn to run an external MPI program safely. More...
double | escript::getMachinePrecision ()
| returns the machine precision More...
double | escript::getMaxFloat ()
void | escript::saveDataCSV (const std::string &filename, boost::python::dict arg, const std::string &sep, const std::string &csep, bool refid=false, bool append=false)
void | escript::getNumpy (boost::python::dict arg)
void | escript::convertToNumpy (escript::Data data)
void | escript::resolveGroup (boost::python::object obj)
| Resolve a collection of Data objects together now. To get performance improvements, the objects will need to have the same function space and share Dag components. More...